{
  let handler = {
    apply(target, thisVal, args) {
      try {
        return Reflect.apply(target, thisVal, args);
      } catch (err) {
        return new Promise(r => {
          Reflect.apply(target, thisVal, [...args, v => r(v)]);
        });
      }
    },
    get: (target, prop, receiver) => {
      let v = Reflect.get(target, prop, receiver);
      if (prop.startsWith("on")) return v;
      return polyfill(v);
    },
  };
  let polyfill = value => {
    if (Object(value) !== value) {
      return value;
    }
    return new Proxy(value, handler);
  };
  var browser = polyfill(browser || chrome);
}
